org.eclipse.jetty.server

## Interface Authentication.Wrapped

All Superinterfaces:
  Authentication

Enclosing interface:
  Authentication

    public static interface Authentication.Wrapped
    extends Authentication

A wrapped authentication with methods provide the wrapped request/response for use by the application

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.jetty.server.Authentication

`Authentication.Challenge, Authentication.Deferred, Authentication.Failure, Authentication.ResponseSent, Authentication.SendSuccess, Authentication.User, Authentication.Wrapped`

### Field Summary

### Fields inherited from interface org.eclipse.jetty.server.Authentication

`NOT_CHECKED, SEND_CONTINUE, SEND_FAILURE, SEND_SUCCESS, UNAUTHENTICATED`

### Method Summary

Methods
`javax.servlet.http.HttpServletRequest` `getHttpServletRequest()`
`javax.servlet.http.HttpServletResponse` `getHttpServletResponse()`

### Method Detail

#### getHttpServletRequest

    javax.servlet.http.HttpServletRequest getHttpServletRequest()

#### getHttpServletResponse

    javax.servlet.http.HttpServletResponse getHttpServletResponse()